| Bsoft 2.0.5 Bernard's software package

Functions
model_symmetry.h File Reference

Library routines used for model symmetry operations. More...

`#include "rwmodel.h"`
`#include "Bstring.h"`

Go to the source code of this file.

## Functions
long | model_find_asymmetric_unit (Bmodel *model, Bstring &symmetry_string)
| Set model component locations within the asymmetric unit. More...
long | model_apply_point_group (Bmodel *model, Bstring &symmetry_string, Vector3< double > origin, View ref_view, int flags=0)
| Applying symmetry to model components. More...
long | models_apply_point_group (Bmodel *model, Bstring &symmetry_string, Vector3< double > origin, View ref_view, int flags=0)
| Applying symmetry to model components. More...
long | model_symmetrize (Bmodel *model, Bstring &symmetry_string)
| Symmetrize a model. More...
long | model_symmetry_related (Bmodel *model, Bstring &symmetry_string)
| Generates a list of symmetry-related models. More...

## Detailed Description

Library routines used for model symmetry operations.

Author
  Bernard Heymann

Date
  Created: 20060908
  Modified: 20191101

Definition in file model_symmetry.h.

## Function Documentation

## ◆ model_apply_point_group()

long model_apply_point_group | ( | Bmodel * | model,
|  | Bstring & | symmetry_string,
|  | Vector3< double > | origin,
|  | View | ref_view,
|  | int | flags
| ) |  |

Applying symmetry to model components.

Parameters

  *model | model parameters.
  &symmetry_string | symmetry code.
  origin | transformation origin.
  ref_view | reference view.
  flags | 1=find asu.

Returns
  long number of components (<0 means failure).

      Only the first model is processed.

Definition at line 71 of file model_symmetry.cpp.

## ◆ model_find_asymmetric_unit()

long model_find_asymmetric_unit | ( | Bmodel * | model,
|  | Bstring & | symmetry_string
| ) |  |

Set model component locations within the asymmetric unit.

Parameters

  *model | model parameters.
  &symmetry_string | symmetry code.

Returns
  long number of components (<0 means failure).

      Only the first model is processed.

Definition at line 34 of file model_symmetry.cpp.

## ◆ model_symmetrize()

long model_symmetrize | ( | Bmodel * | model,
|  | Bstring & | symmetry_string
| ) |  |

Symmetrize a model.

Parameters

  *model | model parameters.
  &symmetry_string | symmetry code.

Returns
  long error code (<0 means failure).

      For each component, a new location is calculated from the average location
      of the closest symmetry-related components.

Definition at line 282 of file model_symmetry.cpp.

## ◆ model_symmetry_related()

long model_symmetry_related | ( | Bmodel * | model,
|  | Bstring & | symmetry_string
| ) |  |

Generates a list of symmetry-related models.

Parameters

  *model | model parameters.
  &symmetry_string | symmetry code.

Returns
  long total number of components.

      For each component, a new location is calculated from the average location
      of the closest symmetry-related components.

Definition at line 376 of file model_symmetry.cpp.

## ◆ models_apply_point_group()

long models_apply_point_group | ( | Bmodel * | model,
|  | Bstring & | symmetry_string,
|  | Vector3< double > | origin,
|  | View | ref_view,
|  | int | flags
| ) |  |

Applying symmetry to model components.

Parameters

  *model | model parameters.
  &symmetry_string | symmetry code.
  origin | transformation origin.
  ref_view | reference view.
  flags | 1=find asu.

Returns
  long error code (<0 means failure).

      All models in the list are processed.

Definition at line 194 of file model_symmetry.cpp.